Bug 815446 - IndexReader leaks file handles on close
IndexReader leaks file handles on close
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: HibernateSearch (Show other bugs)
2.0.0.ER4,2.0.0.ER3
Unspecified Unspecified
urgent Severity high
: ---
: 2.0.0.ER6
Assigned To: Strong Liu
Karel Piwko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 11:59 EDT by Emmanuel Bernard
Modified: 2013-12-02 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-24 10:52:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Bernard 2012-04-23 11:59:30 EDT
A user claims that we are leaking files handles. We need to investigate to confirm and fix. This is a serious issue if confirmed.

https://hibernate.onjira.com/browse/HSEARCH-1090
Comment 1 Emmanuel Bernard 2012-05-04 05:31:34 EDT
This is confirmed and a fix is available https://github.com/Sanne/hibernate-search/commit/e2ad4185b27061a9e86ce8557661ebd0219f7b49

Tests will hopefully follow before being applied in master
Comment 2 Emmanuel Bernard 2012-05-09 07:37:33 EDT
 Fix and tests are now available in upstream/master under HSEARCH-1090
Comment 4 Emmanuel Bernard 2012-05-10 06:14:31 EDT
No, there is no workaround besides the fix in upstream/master.
Comment 5 Emmanuel Bernard 2012-05-14 11:11:13 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
File handles were improperly left opened leading to errors when the OS file handle limit was reached or increased slowness otherwise.

There is no workaround but to use the fixed version.
Comment 6 Karel Piwko 2012-06-05 09:59:18 EDT
Verified, removed technical notes. Tests passed.
Comment 7 Karel Piwko 2012-06-05 09:59:18 EDT
Deleted Technical Notes Contents.

Old Contents:
File handles were improperly left opened leading to errors when the OS file handle limit was reached or increased slowness otherwise.

There is no workaround but to use the fixed version.
Comment 9 Karel Piwko 2012-09-24 10:52:19 EDT
Closed, release as a part of 2.0.0.GA.

Note You need to log in before you can comment on or make changes to this bug.